Webhook Update
curl --request PUT \
--url https://api.decodahealth.com/webhook/decoda/update/{webhook_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"subscriptions": [],
"url": "<string>",
"notificationEmail": "<string>"
}
'import requests
url = "https://api.decodahealth.com/webhook/decoda/update/{webhook_id}"
payload = {
"subscriptions": [],
"url": "<string>",
"notificationEmail": "<string>"
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({subscriptions: [], url: '<string>', notificationEmail: '<string>'})
};
fetch('https://api.decodahealth.com/webhook/decoda/update/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"subscriptions": [
"PATIENT_CREATED"
],
"url": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"secret": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"notificationEmail": "<string>",
"isArchived": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Webhooks
Webhook Update
Update a Webhook
PUT
/
webhook
/
decoda
/
update
/
{webhook_id}
Webhook Update
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
List of event types the webhook subscribes to.
Available options:
PATIENT_CREATED, PATIENT_UPDATED, APPOINTMENT_CANCELLED, APPOINTMENT_UPDATED, APPOINTMENT_REQUEST, APPOINTMENT_SCHEDULED, SELF_SCHEDULED_APPOINTMENT, SELF_SCHEDULED_APPOINTMENT_CANCELLED, SELF_SCHEDULED_APPOINTMENT_UPDATED, BLOCK_CREATED, BLOCK_CANCELLED, BLOCK_UPDATED, SHIFT_CREATED, SHIFT_CANCELLED, SHIFT_UPDATED, PAYMENT_CREATED, PAYMENT_FAILED, PAYMENT_SUCCEEDED, PLANNED_PAYMENT_FAILED, PLANNED_PAYMENT_SUCCEEDED, CHARGE_CREATED, REFUND_CREATED, REFUND_FAILED, REFUND_SUCCEEDED, ADJUSTMENT_CREATED, ADJUSTMENT_FAILED, ADJUSTMENT_SUCCEEDED, INVOICE_UPDATED, INVOICE_STATUS_UPDATE, INVOICE_SET_UPDATED, CHARGE_PAYMENT_CREATED, CALL_RECEIVED, CALL_MADE, CALL_ONGOING, MESSAGE_RECEIVED, MESSAGE_SENT, MESSAGE_DELIVERED, MESSAGE_FAILED, EMAIL_RECEIVED, EMAIL_SENT, MAIL_SENT, MAIL_DELIVERY_FAILED, FORM_SUBMITTED, APPOINTMENT_CHECKLIST_FILLED_FORM, APPOINTMENT_CHECKLIST_CHECKED_IN, APPOINTMENT_CHECKLIST_WITH_MA, APPOINTMENT_CHECKLIST_MEASUREMENT_TAKEN, APPOINTMENT_CHECKLIST_DOSE_TAKEN, APPOINTMENT_CHECKLIST_WITH_PROVIDER, APPOINTMENT_CHECKLIST_NOTE_TAKEN, APPOINTMENT_CHECKLIST_PAYMENT_MADE, APPOINTMENT_CHECKLIST_REQUEST_GFE, APPOINTMENT_CHECKLIST_PICTURE_TAKEN, APPOINTMENT_CHECKLIST_CARE_PLAN, NOTIFICATION, LOW_PATIENT_REVIEW, CHAT_UPDATE, RAINFOREST_PAYIN_FAILED, RAINFOREST_PAYIN_PROCESSING, RAINFOREST_POS_PAYIN_CANCELLED, RAINFOREST_DEPOSIT_IN_REVIEW, RAINFOREST_DEPOSIT_SUCCEEDED, RAINFOREST_DEPOSIT_FAILED, STOCK_LOW, STOCK_ADDED, STOCK_ARCHIVED, STOCK_LINKED_TO_ITEM, STOCK_UNLINKED_FROM_ITEM, STOCK_UPDATED, STOCK_DRAWDOWN, SHIPMENT_RECEIVED, SHIPMENT_UPDATED, SHIPMENT_ARCHIVED, ITEM_CREATED, ITEM_UPDATED, ITEM_ARCHIVED, INVENTORY_ACTION The URL where the webhook will send notifications.
Email address for sending notifications about delivery failures.
Response
Successful Response
Unique identifier for the webhook.
List of event types the webhook is subscribed to.
Available options:
PATIENT_CREATED, PATIENT_UPDATED, APPOINTMENT_CANCELLED, APPOINTMENT_UPDATED, APPOINTMENT_REQUEST, APPOINTMENT_SCHEDULED, SELF_SCHEDULED_APPOINTMENT, SELF_SCHEDULED_APPOINTMENT_CANCELLED, SELF_SCHEDULED_APPOINTMENT_UPDATED, BLOCK_CREATED, BLOCK_CANCELLED, BLOCK_UPDATED, SHIFT_CREATED, SHIFT_CANCELLED, SHIFT_UPDATED, PAYMENT_CREATED, PAYMENT_FAILED, PAYMENT_SUCCEEDED, PLANNED_PAYMENT_FAILED, PLANNED_PAYMENT_SUCCEEDED, CHARGE_CREATED, REFUND_CREATED, REFUND_FAILED, REFUND_SUCCEEDED, ADJUSTMENT_CREATED, ADJUSTMENT_FAILED, ADJUSTMENT_SUCCEEDED, INVOICE_UPDATED, INVOICE_STATUS_UPDATE, INVOICE_SET_UPDATED, CHARGE_PAYMENT_CREATED, CALL_RECEIVED, CALL_MADE, CALL_ONGOING, MESSAGE_RECEIVED, MESSAGE_SENT, MESSAGE_DELIVERED, MESSAGE_FAILED, EMAIL_RECEIVED, EMAIL_SENT, MAIL_SENT, MAIL_DELIVERY_FAILED, FORM_SUBMITTED, APPOINTMENT_CHECKLIST_FILLED_FORM, APPOINTMENT_CHECKLIST_CHECKED_IN, APPOINTMENT_CHECKLIST_WITH_MA, APPOINTMENT_CHECKLIST_MEASUREMENT_TAKEN, APPOINTMENT_CHECKLIST_DOSE_TAKEN, APPOINTMENT_CHECKLIST_WITH_PROVIDER, APPOINTMENT_CHECKLIST_NOTE_TAKEN, APPOINTMENT_CHECKLIST_PAYMENT_MADE, APPOINTMENT_CHECKLIST_REQUEST_GFE, APPOINTMENT_CHECKLIST_PICTURE_TAKEN, APPOINTMENT_CHECKLIST_CARE_PLAN, NOTIFICATION, LOW_PATIENT_REVIEW, CHAT_UPDATE, RAINFOREST_PAYIN_FAILED, RAINFOREST_PAYIN_PROCESSING, RAINFOREST_POS_PAYIN_CANCELLED, RAINFOREST_DEPOSIT_IN_REVIEW, RAINFOREST_DEPOSIT_SUCCEEDED, RAINFOREST_DEPOSIT_FAILED, STOCK_LOW, STOCK_ADDED, STOCK_ARCHIVED, STOCK_LINKED_TO_ITEM, STOCK_UNLINKED_FROM_ITEM, STOCK_UPDATED, STOCK_DRAWDOWN, SHIPMENT_RECEIVED, SHIPMENT_UPDATED, SHIPMENT_ARCHIVED, ITEM_CREATED, ITEM_UPDATED, ITEM_ARCHIVED, INVENTORY_ACTION The URL where the webhook sends notifications.
The date and time when the webhook was created.
The secret key used for signing the webhook payloads.
The date and time when the webhook was last updated.
Email address for sending notifications about delivery failures.
Whether the webhook has been archived.

